﻿using BlacksmithWorkshopContracts.Attributes;
using BlacksmithWorkshopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopContracts.ViewModels
{
    public class ManufactureViewModel : IManufactureModel
    {
        [Column(visible: false)]
        public int Id { get; set; }
        [Column("Wood's name", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string ManufactureName { get; set; } = string.Empty;
        [Column("Price", width: 100)]
        public double Price { get; set; }
        [Column(visible: false)]
        public Dictionary<int, (IComponentModel, int)> ManufactureComponents { get; set; } = new();
    }
}
